QGIS Application - Bug report #20976
Crashing when opening help window (libpng error)
2019-01-11 04:16 PM - nicolas zzzz

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 28795
Description

After compiling QGIS 3.4.3 from sources, | can star it but the console logs the following (with many hundreds of the first 3 lines):

(-.)

libpng warning: Application was compiled with png.h from libpng-1.6.34
libpng warning: Application is running with png.c from libpng-1.2.56
libpng error: Incompatible libpng version in application and library

If for example | try to open the Help windows, it crashes a few milliseconds after the pop-up with information about softwares' version
appeared:

Reading contributors file /usr/local/share/qgis/doc/CONTRIBUTORS..........cccoovmirerrmneceeerenecrenns
libpng error: Libpng jmp_buf still allocated

QGIS died on signal 11Could not attach to process. If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

I'm on Ubuntu 18.04 (4.15.0-43-generic x86_64 GNU/Linux)
Note, apt-cache policy shows me:
$ sudo apt-cache policy libpng-dev
libpng-dev:

Installed: 1.6.34-1ubuntu0.18.04.1
Candidate: 1.6.34-1ubuntu0.18.04.1

So | do not know from where it found libpng-1.2.56 in the messages above...

History

2025-04-26 12



#1 - 2019-01-11 04:17 PM - Giovanni Manghi
- Category changed from GUI to Build/Install

#2 - 2019-01-11 05:46 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

Looks like a local issue. QGIS is not using libpng directly - check your installation of Qt, GDAL or GRASS.

2025-04-26 22



